import { UmbSortChildrenOfMediaServerDataSource } from './sort-children-of.server.data.js';
import { UmbControllerBase } from '../../../../../../libs/class-api/index.js';
export class UmbSortChildrenOfMediaRepository extends UmbControllerBase {
    #dataSource = new UmbSortChildrenOfMediaServerDataSource(this);
    async sortChildrenOf(args) {
        if (args.unique === undefined)
            throw new Error('Unique is missing');
        if (!args.sorting)
            throw new Error('Sorting details are missing');
        return this.#dataSource.sortChildrenOf(args);
    }
}
export { UmbSortChildrenOfMediaRepository as api };
